
Summary:	Breakout-style arcade game HD
Name:		lbreakouthd
Version:	1.1.7
Release:	%mkrel 1
Url:		http://lgames.sourceforge.net/LBreakoutHD/
Source0:	%{name}-%{version}.tar.xz
Source1:    	lbreakouthd.desktop
Source2:    	lbreakouthd.jpg
License:	GPLv2
Group:		Games/Arcade

Requires: lib64sdl2.0_0
Requires: lib64sdl2_image2.0_0
Requires: lib64sdl2_mixer2.0_0
Requires: lib64sdl2_ttf2.0_0

BuildRequires: lib64sdl2.0-devel
BuildRequires: lib64sdl2_image-devel
BuildRequires: lib64sdl2_mixer-devel
BuildRequires: lib64sdl2_ttf-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LBreakoutHD is a scaleable 16:9 remake of LBreakout2. You try to 
clear levels full of different types of bricks and extras by
using your paddle to aim balls at the bricks. All LBreakout2
themes and levelsets work. New themes can be of any resolution.

%prep
%setup -q

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/applications/lbreakouthd.desktop
install -Dm 0644 %SOURCE2 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/lbreakouthd.jpg

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%{_bindir}
%{_datadir}
%{_var}

%changelog
* Tue Apr 09 2024 tex - 1.1.7-1pclos2024
- new version

* Sun Feb 04 2024 tex - 1.1.6-1pclos2024
- new version

* Thu Jan 18 2024 tex - 1.1.5-1pclos2024
- new version

* Sun Mar 26 2023 tex - 1.1.2-1pclos2023
- new version

